Skip to main content
GET
/
verifications
Listar verificaciones de la cuenta
curl --request GET \
  --url https://api.gotrebol.com/verifications \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "c8dc41fc-c477-404e-aff7-b9074f86d6d1",
      "account_id": "99999999-9999-9999-9999-999999999999",
      "status": "pending",
      "created_at": "2025-04-28T20:10:06.840Z",
      "updated_at": "2025-04-28T20:10:06.840Z",
      "tag": "etiqueta",
      "tax_id": "SAG160927GIA",
      "business_name": "Trebol OPCO",
      "friendly_name": "Empresa ACME S.A. de C.V.",
      "flow_id": "documents-v2",
      "details_url": "https://app.gotrebol.com/verifications/c8dc41fc-c477-404e-aff7-b9074f86d6d1",
      "onboarding_url": "https://onboarding.gotrebol.com/verification/c8dc41fc...",
      "items": [
        {
          "id": 25440,
          "item_status": "pending",
          "item_type": "csf_mx",
          "item_value": {}
        }
      ]
    }
  ],
  "next": "eyJjcmVhdGVkQXQiOiIyMDI1LTA0LTI4VDIwOjEwOjA2Ljg0MFoiLCJpZCI6ImM4ZGM0MWZjLWM0NzctNDA0ZS1hZmY3LWI5MDc0Zjg2ZDZkMSJ9"
}

Documentation Index

Fetch the complete documentation index at: https://gotrebol.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

status
enum<string>

Filtra por el estado de la verificación.

Available options:
pending,
finished,
error,
pending_validation
page_size
integer
default:10

Cantidad de verificaciones por página. Valor por defecto: 10. Debe ser un entero positivo; valores no enteros o menores o iguales a 0 resultan en 400 Bad Request. Valores mayores a 20 se ajustan automáticamente al máximo permitido (20).

Required range: x >= 1
next
string

Token de paginación para obtener la siguiente página de resultados.

Response

Lista de verificaciones obtenida exitosamente.

data
object[]

Lista de verificaciones.

next
string | null

Token para obtener la siguiente página de resultados (presente solo si hay más páginas).